anaesthetic questionnaire security

Heartbleed is one of the most severe security incidents in recent internet history.

Anaesthetic Group is not affected in any way.


The long version

On April 7, 2014, researchers disclosed a vulnerability in a technology called OpenSSL that powers encryption across much of the internet. The vulnerability is commonly known as the “OpenSSL Heartbleed Flaw.”

Anaesthetic Group is not affected in any way and Anaesthetic Group is not vulnerable to the Heartbleed flaw.

There are some early basic tools online you can use to test for this vulnerability such as filippo.io.

Even though we aren’t impacted, it’s essential for you to ensure you not impacted by this issue on other websites:

  • Check all the websites, web-applications, add-on providers and websites you use.

You should check all your providers for their security status with respect to this. Try their blogs or status pages, some might email you. Security Best Practise providers should make a public statement about any security risks.

  • Use unique passwords.

Protecting you and your patients is one of our highest priorities. When issues like this come up, they serve as a good reminder to take steps to keep your account secure, including choosing a unique and strong password – a different password for each website you use.

There will always be new vulnerabilities and potential risks to website security. Security is something Anaesthetic Group takes very seriously and you can be assured we are on top of anything that comes our way.